package com.srs.comprehensive.mapper;

import java.util.List;
import com.srs.comprehensive.domain.SrsDormitory;

/**
 * 宿舍信息Mapper接口
 * 
 * @author srs
 * @date 2023-06-27
 */
public interface SrsDormitoryMapper 
{
    /**
     * 查询宿舍信息
     * 
     * @param id 宿舍信息主键
     * @return 宿舍信息
     */
    public SrsDormitory selectSrsDormitoryById(Long id);

    /**
     * 通过楼号和宿舍号查询
     * @param srsDormitory
     * @return
     */
    public SrsDormitory selectSrsDormitoryBedNum(SrsDormitory srsDormitory);
    /**
     * 查询宿舍信息列表
     * 
     * @param srsDormitory 宿舍信息
     * @return 宿舍信息集合
     */
    public List<SrsDormitory> selectSrsDormitoryList(SrsDormitory srsDormitory);

    /**
     * 新增宿舍信息
     * 
     * @param srsDormitory 宿舍信息
     * @return 结果
     */
    public int insertSrsDormitory(SrsDormitory srsDormitory);

    /**
     * 修改宿舍信息
     * 
     * @param srsDormitory 宿舍信息
     * @return 结果
     */
    public int updateSrsDormitory(SrsDormitory srsDormitory);

    /**
     * 删除宿舍信息
     * 
     * @param id 宿舍信息主键
     * @return 结果
     */
    public int deleteSrsDormitoryById(Long id);

    /**
     * 批量删除宿舍信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSrsDormitoryByIds(Long[] ids);
}
